#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "cbt.h"

int main()
{
    cbt_t cbt;
    void add_key(char *key)
    {
	cbt_put(cbt, "whatever", key);
	//cbt_print(cbt);
	if (!cbt_at(cbt, key)) {
	    printf("BUG!\n");
	    exit(1);
	}
    }
    cbt_init(cbt);

    FILE *fp = stdin;
    for (;;) {
	char buf[80];
	char *status = fgets(buf, 80, fp);
	if (feof(fp)) break;
	int i = strlen(buf) - 1;
	if (buf[i] == '\n') buf[i] = '\0';
	add_key(strdup(buf));
    }
    return 0;
}
