struct cbt_node_s {
    int type;
    struct cbt_node_s *parent;
    union {
	struct {
	    int critbit;
	    struct cbt_node_s *left, *right;
	};
	struct {
	    void *data;
	    char *key;
	};
    };
};
typedef struct cbt_node_s cbt_node_t[1];
typedef struct cbt_node_s *cbt_node_ptr;

struct cbt_s {
    cbt_node_ptr root;
};
typedef struct cbt_s cbt_t[1];
typedef struct cbt_s *cbt_ptr;

void cbt_init(cbt_ptr cbt);
void cbt_put(cbt_ptr cbt, void *data, char *key);
void *cbt_at(cbt_ptr cbt, char *key);
void cbt_print(cbt_ptr cbt);
void *cbt_alloc();
