// cuckoo hash table

struct hashtab_entry_s {
    char *key;
    void *data;
};
typedef struct hashtab_entry_s hashtab_entry_t[1];
typedef struct hashtab_entry_s *hashtab_entry_ptr;

struct hashtab_s {
    int array_size;
    int count;
    hashtab_entry_ptr *array;
};
typedef struct hashtab_s hashtab_t[1];
typedef struct hashtab_s *hashtab_ptr;

void hashtab_init(hashtab_ptr h);
void hashtab_print(hashtab_ptr h);
void hashtab_put(hashtab_ptr h, void *data, char *key);
void *hashtab_at(hashtab_ptr h, char *key);
void *hashtab_alloc();
