#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "hashtab.h"

int main()
{
    hashtab_t ht;
    void add_key(char *key)
    {
	hashtab_put(ht, "whatever", key);
	//hashtab_print(ht);
	if (!hashtab_at(ht, key)) {
	    printf("BUG!\n");
	    exit(1);
	}
    }
    hashtab_init(ht);

    FILE *fp = stdin;
    for (;;) {
	char buf[80];
	char *status = fgets(buf, 80, fp);
	if (feof(fp)) break;
	int i = strlen(buf) - 1;
	if (buf[i] == '\n') buf[i] = '\0';
	add_key(strdup(buf));
    }
    return 0;
}
